connectivity-api: connectivityqt::Modem Class Reference

connectivity-api

Classes | Signals | Public Member Functions | Protected Attributes | Properties | List of all members
connectivityqt::Modem Class Reference

`#include <connectivityqt/modem.h>`

Inheritance diagram for connectivityqt::Modem:
[legend]
Collaboration diagram for connectivityqt::Modem:
[legend]

## Classes
class | Priv

## Signals
void | simChanged (Sim *sim)

## Public Member Functions
| UNITY_DEFINES_PTRS (Modem)
| Modem (const QDBusObjectPath &path, const QDBusConnection &connection, SimsListModel::SPtr sims, QObject *parent=0)
virtual | ~Modem ()
QDBusObjectPath | path () const
QString | serial () const
int | index () const
Sim * | sim () const

## Protected Attributes
std::shared_ptr< Priv > | d

## Properties
QDBusObjectPath | path
QString | serial
int | index
connectivityqt::Sim * | sim

## Constructor & Destructor Documentation

## ◆ Modem()

connectivityqt::Modem::Modem | ( | const QDBusObjectPath & | path,
|  | const QDBusConnection & | connection,
|  | SimsListModel::SPtr | sims,
|  | QObject * | parent = `0`
| ) |  |

## ◆ ~Modem()

connectivityqt::Modem::~Modem | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ index()

int connectivityqt::Modem::index | ( |  | ) | const

## ◆ path()

QDBusObjectPath connectivityqt::Modem::path | ( |  | ) | const

## ◆ serial()

QString connectivityqt::Modem::serial | ( |  | ) | const

## ◆ sim()

Sim * connectivityqt::Modem::sim | ( |  | ) | const

## ◆ simChanged

void connectivityqt::Modem::simChanged | ( | Sim * | sim | ) |
| signal

## ◆ UNITY_DEFINES_PTRS()

connectivityqt::Modem::UNITY_DEFINES_PTRS | ( | Modem |  | ) |

## Member Data Documentation

## ◆ d

std::shared_ptr<Priv> connectivityqt::Modem::d
| protected

## Property Documentation

## ◆ index

int connectivityqt::Modem::index
| read

## ◆ path

QDBusObjectPath connectivityqt::Modem::path
| read

## ◆ serial

QString connectivityqt::Modem::serial
| read

## ◆ sim

connectivityqt::Sim* connectivityqt::Modem::sim
| read

The documentation for this class was generated from the following files:

- connectivityqt/modem.h
- connectivityqt/modem.cpp